Package home | Report new bug | New search | Development Roadmap Status: Open | Feedback | All | Closed Since Version 3.4.2

Doc Bug #18483 Requirements Missing PEAR
Submitted: 2011-04-27 02:08 UTC
From: brobie Assigned: squiz
Status: Closed Package: PHP_CodeSniffer (version 1.3.0)
PHP Version: 5.3.1 OS: Windows
Roadmaps: (Not assigned)    
Subscription  


 [2011-04-27 02:08 UTC] brobie (Ben Robie)
Description: ------------ Please Please Please Please put in the requirements that PEAR is a requirement. We were downloading the Code Sniffer stuff manually and trying to run it. It would not work and we couldn't figure out why. It was failing when it was trying to autoload Codesniffer/Exception.php (which include PEAR/Exception.php). Please add this. Thanks.

Comments

 [2011-04-27 09:22 UTC] squiz (Greg Sherwood)
I think I might actually try and remove that requirement. There really isn't a need to have PEAR Exception used (it doesn't do anything useful for me) and it would allow PHPCS to be used from an SVN checkout.
 [2011-04-28 04:08 UTC] squiz (Greg Sherwood)
-Status: Open +Status: Closed -Assigned To: +Assigned To: squiz
The latest SVN version no longer has a requirement for PEAR_Exception. See if that one works for you.